using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Documents;
using WCS.Model;
using WCS.Model.ApiModel.Home;
using 智能仓储WCS管理系统.Api;

namespace 智能仓储WCS管理系统.Tool
{
    public static class GetBaseData
    {
        public static List<ShelfTypeModel> GetShelfType()
        {
            var body = new RequestBase()
            {
                UserName = LocalStatic.CurrentUser,
                DeviceType = LocalFile.Config.DeviceType,
            };

            var Result = ApiHelp.GetDataFromHttp<PageQueryResponse<ShelfTypeModel>>(LocalFile.Config.ApiIpHost + "home/getShelfTypes", body, "POST");
            if (Result != null && Result.Data != null && Result.Data.Lists.Count() > 0)
            {
                return Result.Data.Lists;
            }
            else { return new List<ShelfTypeModel>(); }
        }
    }
}
